\name{readMapper}
\alias{readMapper}
\title{query and/or parse a file returned by mapper.chip.org  }
\description{
}
\usage{
readMapper(infile=NULL, mapperPW=NULL, 
  stub="http://mapper.chip.org/mapper/db-rpc?", models=NULL, ...)
}
\arguments{
  \item{infile}{ infile -- pathname to a previously generated RPC output}
  \item{mapperPW}{ mapperPW -- if query is supplied for CURL interchange,
the credentials (in the form myname@a.b.c:mapperpw) necessary to permit
the transaction}
  \item{stub}{ stub -- a string giving the URL handle up to the db-rpc
selector}
  \item{models}{a vector of identifiers of MAPPER models; see their
web site for codes}
  \item{\dots}{ \dots -- all the query parameters.  see Details;
\code{models} will default to \code{"M1"} because the XML RPC processor
fails if no models parameter is set.  If an unknown model parameter
is set, then it seems to return all models.}
}
\details{
Currently (2/06) the RPC interface to MAPPER defines
the following parameters.  You can use any of these
as keywords (with bindings supplied using "=", e.g.,
\code{gene="CRP"}) to the \code{readMapper} function.

gene - you can use either GeneID or mRNA; gene name should work too but 
it's not recommended because there often are multiple forms of the same 
gene.

score - the score threshold (0 by default)

perc - the percentile (one of p50, p80, p85, p90, p95).

eval - the E-value threshold (25 by default)

pbases - how many basepairs to look at (default: 2000)

pstart - what pbases is relative to (either T for transcript start or C 
for coding sequence start - remember that in the db we have hits for the 
region from 10,000 bp upstream of transcript start to 50bp after coding 
sequence start)

models - a comma-separated list of model names (to restrict the output 
to these models only)

sort - how to sort the results: either M (by model accession), N (factor 
name), E (by E-value), S (by score), P (by position, the default)

Thanks to Alberto Riva for this list
}
\value{
an instance of the mapperHits class.
}
\references{mapper.chip.org  }
\author{Vince Carey <stvjc@channing.harvard.edu>}

\examples{
readMapper(infile=system.file("txt/NM_007294.txt", package="RMAPPER"))
if (FALSE) # you must supply your credentials to succeed over the web
 readMapper(gene="NM_007294", perc="p95", mapperPW="[usern:pwd]")
}
\keyword{ models }
